import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.awt.image.*;

public class GradientPaints extends Frame  {
    
  public static void main(String[] args) {
    new GradientPaints();
  }

  public GradientPaints() {
    setSize(500, 200);
    setLocation(200, 200);
    setTitle("Paints");
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    setVisible(true);
  }
  
  private void drawPoint(Graphics2D g2, Point2D p) {
     double ptsize = 3.0;
     double x = p.getX();
     double y = p.getY();
     g2.setPaint(Color.black);
     g2.fill(new Rectangle2D.Double(x-ptsize, y-ptsize, 2*ptsize, 2*ptsize));
  }

  
  public void paint(Graphics g) {
    Graphics2D g2 = (Graphics2D)g;
    
    Point2D p1 = new Point2D.Double(100, 50);
    Point2D p2 = new Point2D.Double(200, 150);

    g2.setPaint(new GradientPaint(p1, Color.magenta, p2, Color.blue, true));
    g2.fill(new Rectangle2D.Double(0, 0, 500, 200));
    drawPoint(g2, p1);
    drawPoint(g2, p2);
    
  }
}
