import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class Winding extends Frame {
    
  public static void main(String[] args) {
    new Winding();
  }

  private GeneralPath p;
  private boolean in;

  public Winding() {
    setSize(500, 400);
    setLocation(200, 200);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    addMouseListener(new MouseAdapter() {
      public void mouseClicked(MouseEvent me) {
        in = p.contains(me.getPoint());
        repaint();
      }
    });
    setVisible(true);
  }
  
  public void paint(Graphics g) {
    Graphics2D g2 = (Graphics2D)g;
    
    p = new GeneralPath(GeneralPath.WIND_EVEN_ODD);
//	p = new GeneralPath(GeneralPath.WIND_NON_ZERO);
    p.moveTo(50, 50);
    p.lineTo(100, 50);
    p.lineTo(50, 100);
    p.lineTo(75, 25);
    p.lineTo(100, 100);
    p.closePath();
    g2.fill(p);
    if (in)
      g2.drawString("in", 50, 150);
    else
      g2.drawString("out", 50, 150);
  }
}
